poi-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jorge Moya <jom...@gmail.com>
Subject Re: Can't open .XLSX files.
Date Fri, 04 Jun 2010 18:34:05 GMT
I'm pretty sure I'm using XMLBeans2.3 and I even tried XMLBeans2.4 to no
avail.

On Fri, Jun 4, 2010 at 12:47 PM, Nick Burch <nick.burch@alfresco.com> wrote:

> On Fri, 4 Jun 2010, Jorge Moya wrote:
>
>> So, I downloaded the new .jars, updated the code and migrated to SS, but
>> unfortunately it won't open .xlsx (while .xls does fine).
>>
>
> Two key bits of the stack trace:
>
>
>     [java] Caused by: java.lang.RuntimeException: Could not instantiate
>> SchemaTypeSystemImpl (java.lang.reflect.InvocationTargetException): is the
>> version of xbean.jar correct?
>>
>
>     [java] Caused by: org.apache.xmlbeans.SchemaTypeLoaderException:
>> XML-BEANS compiled schema: Incompatible minor version - expecting up to
>> 23,
>> got 24
>>
>
> You need to ensure you're using a new enough version of xmlbeans, eg the
> one POI ships with or even a newer one, and not the old one you currently
> have
>
> Nick
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@poi.apache.org
> For additional commands, e-mail: user-help@poi.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message